> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sample Data Endpoint



## OpenAPI

````yaml /openapi/em-talk2data-v2.yaml post /talk2data/v1/sample
openapi: 3.1.0
info:
  title: Talk to Data Service
  version: 3.2.0-dev1
servers: []
security: []
paths:
  /talk2data/v1/sample:
    post:
      tags:
        - sample
      summary: Sample Data Endpoint
      operationId: sample_data
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SampleDataRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SampleDataResponse'
        '400':
          description: Invalid table_fqn format
        '404':
          description: Data connection not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '501':
          description: Unsupported connection type
        '503':
          description: Sample unavailable (EM_RUNTIME_ASSETS_URL not configured)
      security:
        - HTTPBearer: []
components:
  schemas:
    SampleDataRequest:
      properties:
        resource_uri:
          type: string
          maxLength: 512
          minLength: 1
          title: Resource Uri
          description: Resource URI of the data connection (e.g. data:org:project:name)
        table_fqn:
          type: string
          maxLength: 512
          minLength: 1
          title: Table Fqn
          description: 'Fully qualified table name: database.schema.table'
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          description: Maximum rows to return
          default: 10
      type: object
      required:
        - resource_uri
        - table_fqn
      title: SampleDataRequest
      description: Request body for table sample data.
    SampleDataResponse:
      properties:
        columns:
          items:
            type: string
          type: array
          title: Columns
        rows:
          items:
            items: {}
            type: array
          type: array
          title: Rows
        row_count:
          type: integer
          title: Row Count
        truncated:
          type: boolean
          title: Truncated
      type: object
      required:
        - columns
        - rows
        - row_count
        - truncated
      title: SampleDataResponse
      description: Table sample data result.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````